#!/bin/sh
#script to run Chooter
#Copyright (C) 2002 - 2005 David Matthews

#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.

#    dmatthews@mailc.net
#    David Matthews 11 Reginald Grove, York YO23 1LN, UK.


#you should set the JAVA_HOME variable here if it isn't set in .bashrc
#JAVA_HOME=/usr/local/java
#export JAVA_HOME

#enable/disable logging
#LOG=charva.log
LOG=/dev/null

JAVA=$JAVA_HOME/bin/java
POOTER=/usr/lib/pooter
CHARVA_HOME=/usr/lib/charva/

#_________no editing below here_______________________________________________________

#function to ensure lock is removed
quit(){
	if [ -f ~/.pooter/lock ]	;then
		rm ~/.pooter/lock
	fi
}

#make sure we get another chance to remove a stale lock file
trap "echo; quit 2" 1 2 3 15 	#!!doesn't work without the echo!!

export LD_LIBRARY_PATH=$CHARVA_HOME:$LD_LIBRARY_PATH

$JAVA -Dcharva.color=1 -cp $CHARVA_HOME"charva.jar":$POOTER/Chooter.jar chooter.Pooter 2> $LOG

exit 0












